package com.ym.mec.auth.service;

import com.ym.mec.auth.api.entity.SysUserLogin;
import com.ym.mec.common.service.BaseService;

public interface SysUserLoginService extends BaseService<Integer, SysUserLogin> {

	/**
	 * 根据用户查询登录信息
	 * @param userId
	 * @return
	 */
	SysUserLogin findLoginByUserId(Integer userId);

	/**
	 * 自动解锁
	 * @return
	 */
	public boolean autoUnlock();
}